For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get Inventory
      • GET Get All Inventories
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • GET Get Inventory Levels Grouped By Lot
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Delete Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get All Inventory Levels

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/inventory-level
GET
/Experimental/inventory-level
$curl -G https://sandbox-api.shipbob.com/Experimental/inventory-level \
> -H "Authorization: Bearer <token>" \
> -d SearchBy=string \
> -d InventoryIds=0 \
> -d IsActive=true \
> -d IsDigital=true \
> -d SortBy=string
1{
2 "first": "string",
3 "items": [
4 {
5 "inventory_id": 0,
6 "name": "string",
7 "sku": "string",
8 "total_awaiting_quantity": 0,
9 "total_backordered_quantity": 0,
10 "total_committed_quantity": 0,
11 "total_damaged_quantity": 0,
12 "total_exception_quantity": 0,
13 "total_fulfillable_quantity": 0,
14 "total_in_fulfillment_quantity": 0,
15 "total_internal_transfer_quantity": 0,
16 "total_on_hand_quantity": 0,
17 "total_quarantine_quantity": 0,
18 "total_sellable_quantity": 0,
19 "userId": 0
20 }
21 ],
22 "last": "string",
23 "next": "string",
24 "prev": "string"
25}

Retrieves current inventory levels across all locations. Returns available, on-hand, committed, and other quantity types. Supports filtering by inventory IDs and product attributes.

Was this page helpful?
Previous

Get All Inventories

Next

Get Inventory Levels Grouped By Fulfillment Center

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

SearchBystringOptional

Search is available for 3 fields: Inventory ID, Name, and SKU. Expected behavior for search by Inventory ID is exact match. Expected behavior for search by Inventory Name or SKU is partial match (consecutive characters, case insensitive).

InventoryIdslist of integersOptional

Comma-separated list of inventory IDs to filter results. Use this to retrieve inventory levels for specific inventory items only.

IsActivebooleanOptional
Filter inventory levels by active status. Set to true to return only active inventory items, false for inactive items. Omit to return all items regardless of status.
IsDigitalbooleanOptional
Filter inventory levels by digital product status. Set to true to return only digital products, false for physical products. Digital products are items that don't require physical fulfillment.
PageSizeintegerOptional
Number of inventory level items to return per page. Controls pagination size for the response.
SortBystringOptional

Sort results by field name. Default is ascending order. Prefix with ’-’ for descending order (e.g., ‘-total_on_hand_quantity’ sorts by quantity descending). Multiple fields can be comma-separated.

Response

OK
firststring
URL to retrieve the first page of results. Null if already on the first page.
itemslist of objects
Array of inventory quantity items in the current page of results.
laststring
URL to retrieve the last page of results. Null if already on the last page.
nextstring
URL to retrieve the next page of results. Null if on the last page.
prevstring
URL to retrieve the previous page of results. Null if on the first page.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error